{ stdenv, pkgs, fetchurl, lib, autoPatchelfHook, makeWrapper, ... }:

stdenv.mkDerivation {
  pname = "u-he twangstrom";
  version = "latest";
  src = fetchurl {
    url = "https://dl.u-he.com/releases/Twangstrom_102_16742_Linux.tar.xz";
    sha256 = "sha256-SFPY+R+gQstDXe+gLaoIuCUckBoYwWZygXSMwytcpnc=";
  };
  nativeBuildInputs = [ makeWrapper autoPatchelfHook ];
  buildInputs = with pkgs; [
    freetype
    fontconfig
    alsa-lib
    pipewire
    stdenv.cc.cc.lib
    cairo
    xorg.libxcb
    xorg.xcbutilkeysyms
    xorg.xcbutil
  ];

  installPhase = ''
    mkdir -p $out/lib/vst $out/lib/vst3 $out/lib/clap $out/lib/vst3/Twangstrom.vst3/Contents/Resources/Documentation $out/lib/vst3/Twangstrom.vst3/Contents/x86_64-linux $out/lib/vst3/Twangstrom.vst3/Contents/i686-linux

    cp -r Twangstrom/Twangstrom.64.so $out/lib/vst/

    cp -r Twangstrom/Twangstrom.64.so $out/lib/vst3/Twangstrom.vst3/Contents/x86_64-linux/
    cp -r Twangstrom/*.pdf $out/lib/vst3/Twangstrom.vst3/Contents/Resources/Documentation/
  '';

  meta = with lib; {
    homepage = "https://u-he.com/products/twangstrom/";
    description = "u-he twangstrom";
    platforms = platforms.linux;
  };
}
